### Method

# Pango.Renderer.draw_glyph_item

#### Declaration [src]

    void
    pango_renderer_draw_glyph_item (
      PangoRenderer* renderer,
      const char* text,
      PangoGlyphItem* glyph_item,
      int x,
      int y
    )

#### Description [src]

Draws the glyphs in `glyph_item` with the specified `PangoRenderer`, embedding the text associated with the glyphs in the output if the output format supports it.

This is useful for rendering text in PDF.

Note that this method does not handle attributes in `glyph_item`. If you want colors, shapes and lines handled automatically according to those attributes, you need to use `pango_renderer_draw_layout_line()` or `pango_renderer_draw_layout()`.

Note that `text` is the start of the text for layout, which is then indexed by `glyph_item->item->offset`.

If `text` is `NULL`, this simply calls `pango_renderer_draw_glyphs()`.

The default implementation of this method simply falls back to `pango_renderer_draw_glyphs()`.

#### Parameters

`text` | `const char*`
| the UTF-8 text that `glyph_item` refers to, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`glyph_item` | `PangoGlyphItem`
| a `PangoGlyphItem`
| Ownership is not transferred to the callee
`x` | `int`
| X position of left edge of baseline, in user space coordinates in Pango units.
`y` | `int`
| Y position of left edge of baseline, in user space coordinates in Pango units.